package com.tptj.demo.hg.transfer.data.set.manager.provider;

import com.fr.data.AbstractDataModel;
import com.fr.general.data.TableDataException;
import com.fr.script.Calculator;
import com.fr.stable.ParameterProvider;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021/9/7
 **/
public class SpDataModel extends AbstractDataModel {

    private String config;
    private ParameterProvider[] parameters;

    public SpDataModel(Calculator calculator, ParameterProvider[] parameters, String config){
        this.parameters = parameters;
        this.config = config;
    }

    @Override
    public int getColumnCount() throws TableDataException {
        return 1+parameters.length;
    }

    @Override
    public String getColumnName(int colIdx) throws TableDataException {
        return 0 == colIdx ? "config" : parameters[colIdx-1].getName();
    }

    @Override
    public int getRowCount() throws TableDataException {
        return 1;
    }

    @Override
    public Object getValueAt(int rowIdx, int colIdx) throws TableDataException {
        return 0==colIdx ? config : parameters[colIdx-1].getValue();
    }

    @Override
    public void release() throws Exception {
        parameters = null;
        config = null;
    }
}